import { getCourseTypeList } from '@/api/base'

interface ICourseType {
  id: string
  name: string
}
export function useCourseTypes() {
  const types = ref<ICourseType[]>([])
  const fetchList = () => {
    getCourseTypeList({ page_size: 100 }).then(res => {
      types.value = res.data.list || []
    })
  }
  onMounted(() => {
    fetchList()
  })
  return { types }
}
