import httpRequest from '@/utils/axios'

// 获取课程类别列表
export function getTypesList(params?: { page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/backend-v2/course-category/index', { params })
}

// 创建课程类别
export function createTypes(data: { name: string }) {
  return httpRequest.post('/api/psp/backend-v2/course-category/create', data)
}

// 更新课程类别
export function updateTypes(data: { id: string; name: string }) {
  return httpRequest.post('/api/psp/backend-v2/course-category/update', data)
}

// 获取课程类别详情
export function getTypes(params: { id: string }) {
  return httpRequest.get('/api/psp/backend-v2/course-category/view', { params })
}

// 删除课程类别
export function deleteTypes(data: { id: string }) {
  return httpRequest.post('/api/psp/backend-v2/course-category/delete', data)
}
