// import fs from 'fs'
// import path from 'path'
import { fileURLToPath, URL } from 'url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import AutoImport from 'unplugin-auto-import/vite'
import mkcert from 'vite-plugin-mkcert'

export default defineConfig(({ mode }) => {
  return {
    base: mode === 'prod' ? 'https://webapp-pub.ezijing.com/website/prod/wmpc-center/' : '/',
    plugins: [vue(), AutoImport({ imports: ['vue', 'vue-router'], dts: true, eslintrc: { enabled: true } }), mkcert()],
    server: {
      open: true,
      host: 'dev.ezijing.com',
      // https: {
      //   key: fs.readFileSync(path.join(__dirname, './https/ezijing.com.key')),
      //   cert: fs.readFileSync(path.join(__dirname, './https/ezijing.com.pem'))
      // },
      proxy: {
        '/api': 'https://psp-center.ezijing.com'
      }
    },
    resolve: {
      alias: {
        '@': fileURLToPath(new URL('./src', import.meta.url))
      }
    }
  }
})
